podman-pod-stats(1)

NAME
podman-pod-stats - Display a live stream of resource usage stats for containers in one or more pods

SYNOPSIS
podman pod stats [options] [pod]

DESCRIPTION
Display a live stream of containers in one or more pods resource usage statistics. Running rootless is only supported on cgroups v2.

OPTIONS

  --all, -a
Show all containers. Only running containers are shown by default

  --format=template
Pretty-print container statistics to JSON or using a Go template

Valid placeholders for the Go template are listed below:
Placeholder | Description
.BlockIO | Block IO
.CID | Container ID
.CPU | CPU percentage
.Mem | Memory percentage
.MemUsage | Memory usage
.MemUsageBytes | Memory usage (IEC)
.Name | Container Name
.NetIO | Network IO
.PIDS | Number of PIDs
.Pod | Pod ID

When using a Go template, precede the format with table to print headers.

  --latest, -l
Instead of providing the pod name or ID, use the last created pod. Note: the last started pod can be from other users of Podman on the host machine. (This option is not available with the remote Podman client, including Mac and Windows (excluding WSL2) machines)

  --no-reset
Do not clear the terminal/screen in between reporting intervals

  --no-stream
Disable streaming pod stats and only pull the first result, default setting is false

EXAMPLE
List statistics about all pods without streaming:
    # podman pod stats -a --no-stream
    ID             NAME              CPU %   MEM USAGE / LIMIT   MEM %   NET IO    BLOCK IO   PIDS
    a9f807ffaacd   frosty_hodgkin    --      3.092MB / 16.7GB    0.02%   -- / --   -- / --    2
    3b33001239ee   sleepy_stallman   --      -- / --             --      -- / --   -- / --    --

List statistics about specified pod without streaming:
    # podman pod stats --no-stream a9f80
    ID             NAME             CPU %   MEM USAGE / LIMIT   MEM %   NET IO    BLOCK IO   PIDS
    a9f807ffaacd   frosty_hodgkin   --      3.092MB / 16.7GB    0.02%   -- / --   -- / --    2

List statistics about specified pod in JSON format without streaming:
    # podman pod stats --no-stream --format=json a9f80
    [
        {
            "id": "a9f807ffaacd",
            "name": "frosty_hodgkin",
            "cpu_percent": "--",
            "mem_usage": "3.092MB / 16.7GB",
            "mem_percent": "0.02%",
            "netio": "-- / --",
            "blocki": "-- / --",
            "pids": "2"
        }
    ]

List selected statistics formatted in a table about specified pod:
    # podman pod stats --no-stream --format "table {{.ID}} {{.Name}} {{.MemUsage}}" 6eae
    ID             NAME           MEM USAGE / LIMIT
    6eae9e25a564   clever_bassi   3.031MB / 16.7GB

SEE ALSO
podman(1), podman-pod(1)

HISTORY
February 2019, Originally compiled by Dan Walsh dwalsh@redhat.com ⟨mailto:dwalsh@redhat.com⟩